Panda3D

Public Member Functions | Public Attributes | List of all members
MayaToEggServer Class Reference
Inheritance diagram for MayaToEggServer:

## Public Member Functions
void | add_reader (Connection *connection, QueuedConnectionReader *reader)
void | poll ()
| Checks for any network activity and handles it, if appropriate, and then returns. More...
void | remove_reader (Connection *connection, QueuedConnectionReader *reader)
void | run ()
Public Member Functions inherited from SomethingToEgg
| SomethingToEgg (const std::string &format_name, const std::string &preferred_extension=std::string(), bool allow_last_param=true, bool allow_stdout=true)
| The first parameter to the constructor should be the one-word name of the file format that is to be read, for instance "OpenFlight" or "Alias". More...
void | add_animation_options ()
| Adds options appropriate to animation packages. More...
void | add_merge_externals_options ()
| Adds -f. More...
void | add_units_options ()
| Adds -ui and -uo as valid options for this program. More...
Public Member Functions inherited from EggConverter
| EggConverter (const std::string &format_name, const std::string &preferred_extension=std::string(), bool allow_last_param=true, bool allow_stdout=true)
| The first parameter to the constructor should be the one-word name of the alien file format that is to be read or written, for instance "OpenFlight" or "Alias". More...
Public Member Functions inherited from EggFilter
| EggFilter (bool allow_last_param=false, bool allow_stdout=true)
Public Member Functions inherited from EggReader
void | add_delod_options (double default_delod=-1.0)
| Adds -delod as a valid option for this program. More...
void | add_texture_options ()
| Adds -td, -te, etc. More...
virtual EggReader * | as_reader ()
| Returns this object as an EggReader pointer, if it is in fact an EggReader, or NULL if it is not. More...
virtual void | pre_process_egg_file ()
| Performs any processing of the egg file that is appropriate after reading it in. More...
Public Member Functions inherited from EggBase
void | add_normals_options ()
| Adds -no, -np, etc. More...
void | add_points_options ()
| Adds -points as a valid option for this program. More...
void | add_transform_options ()
| Adds -TS, -TT, etc. More...
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files. More...
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args(). More...
void | show_description ()
| Writes the program description to stderr. More...
void | show_options ()
| Describes each of the available options to stderr. More...
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width. More...
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width. More...
void | show_usage ()
| Writes the usage line(s) to stderr. More...
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options. More...
Public Member Functions inherited from EggWriter
| EggWriter (bool allow_last_param=false, bool allow_stdout=true)
| Egg-writing type programs may specify their output file using either the last-filename convention, the -o convention, and/or implicitly writing the result to standard output. More...
virtual EggWriter * | as_writer ()
| Returns this object as an EggWriter pointer, if it is in fact an EggWriter, or NULL if it is not. More...
void | write_egg_file ()
| Writes out the egg file as the normal result of the program. More...
Public Member Functions inherited from WithOutputFile
| WithOutputFile (bool allow_last_param, bool allow_stdout, bool binary_output)
void | close_output ()
| Closes the output stream previously opened by get_output(). More...
std::ostream & | get_output ()
| Returns an output stream that corresponds to the user's intended egg file output–either stdout, or the named output file. More...
Filename | get_output_filename () const
| If has_output_filename() returns true, this is the filename that the user specified. More...
bool | has_output_filename () const
| Returns true if the user specified an output filename, false otherwise (e.g. More...

## Public Attributes
ConnectionWriter * | cWriter
MayaToEggConverter * | dummy
QueuedConnectionListener * | qListener
QueuedConnectionManager * | qManager
QueuedConnectionReader * | qReader
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Static Public Member Functions inherited from EggBase
static void | convert_paths (EggNode *node, PathReplace *path_replace, const DSearchPath &additional_path)
| Recursively walks the egg hierarchy. More...

## Detailed Description

Definition at line 28 of file mayaToEgg_server.h.

## Member Function Documentation

## ◆ poll()

void MayaToEggServer::poll | ( |  | ) |

Checks for any network activity and handles it, if appropriate, and then returns.

This must be called periodically

Definition at line 349 of file mayaToEgg_server.cxx.

References ConnectionReader::add_connection(), QueuedConnectionReader::data_available(), QueuedConnectionReader::get_data(), QueuedConnectionListener::get_new_connection(), QueuedConnectionManager::get_reset_connection(), QueuedConnectionListener::new_connection_available(), ConnectionReader::poll(), and QueuedConnectionManager::reset_connection_available().

The documentation for this class was generated from the following files:

- pandatool/src/mayaprogs/mayaToEgg_server.h
- pandatool/src/mayaprogs/mayaToEgg_server.cxx